<?php

namespace Drupal\index_now\PathProcessor;

use Drupal\Core\PathProcessor\InboundPathProcessorInterface;
use Drupal\Core\State\StateInterface;
use Symfony\Component\HttpFoundation\Request;

/**
 * Index Now path processor.
 */
class IndexNowPathProcessor implements InboundPathProcessorInterface {

  /**
   * The state service.
   *
   * @var \Drupal\Core\State\StateInterface
   */
  protected $state;

  /**
   * Class constructor.
   *
   * @param \Drupal\Core\State\StateInterface $state
   *   The state service.
   */
  public function __construct(StateInterface $state) {
    $this->state = $state;
  }

  /**
   * {@inheritdoc}
   */
  public function processInbound($path, Request $request) {
    $api_key = $this->state->get('index_now_api_key');
    if (!empty($api_key) && '/index_now_api_key_' . $api_key . '.txt' === $path) {
      return '/index_now_api_key/' . $api_key;
    }

    return $path;
  }

}
